program bedingungen

implicit none

integer::i,j,k
real:: p,q,d

!==========================================================================
! Maximum dreier Zahlen

write(*,*)"drei (verschiedene) ganze Zahlen:"
read(*,*)i,j,k

if (i>j) then
             if (i>k) then
                           write(*,*) i
                      else
                           write(*,*) k
                      end if
         else
             if (j>k) then
                           write(*,*) j
                      else
                           write(*,*) k
                      end if
         end if

!==========================================================================
! Anzahl reeller Nullstellen eines quadratischen Polynoms in Normalform

write(*,*) " reelle Koeffizienten p,q:"
read(*,*) p,q

d=p**2/4-q

if (d<0) then
              write(*,*) "keine reellen Nullstellen"
   else if (d==0) then
              write(*,*) "eine reelle Doppelnullstelle", -p/2
   else
              write(*,*) "zwei reelle Nullstellen", -p/2+sqrt(d), -p/2-sqrt(d)
   end if

end program bedingungen